##### windows::basic_stream_handle::basic_stream_handle (4 of 5 overloads)

Construct a stream handle on an existing native handle.

    template<
        typename ExecutionContext>
    basic_stream_handle(
        ExecutionContext & context,
        const native_handle_type & handle,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value >::type *  = 0);

This constructor creates a stream handle object to hold an existing native handle.

###### Parameters

context

  An execution context which provides the I/O executor that the stream handle will use, by default, to dispatch handlers for any asynchronous operations performed on the stream handle.

handle

  The new underlying handle implementation.

###### Exceptions

asio::system_error

  Thrown on failure.